controllers/CocheController.php
<?php

namespace app\controllers;

use app\models\Coche;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * CocheController implements the CRUD actions for Coche model.
 */
class CocheController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Coche models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Coche::find(),

            'pagination' => [
                'pageSize' => 5
            ],
            'sort' => [
                'defaultOrder' => [
                    'bastidor' => SORT_DESC,
                ]
            ],

        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
            'foto1' => '@web/imgs/foto1',
            'foto2' => '@web/imgs/foto2',
        ]);
    }

    /**
     * Displays a single Coche model.
     * @param string $bastidor Bastidor
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($bastidor)
    {
        return $this->render('view', [
            'model' => $this->findModel($bastidor),
        ]);
    }

    /**
     * Creates a new Coche model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Coche();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'bastidor' => $model->bastidor]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Coche model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param string $bastidor Bastidor
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($bastidor)
    {
        $model = $this->findModel($bastidor);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'bastidor' => $model->bastidor]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Coche model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param string $bastidor Bastidor
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($bastidor)
    {
        $this->findModel($bastidor)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Coche model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param string $bastidor Bastidor
     * @return Coche the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($bastidor)
    {
        if (($model = Coche::findOne(['bastidor' => $bastidor])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('No se encuentra el valor introducido');
    }

    public function actionMostrar()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Coche::find()
        ]);

        return $this->render('mostrar', [
            'dataProvider' => $dataProvider,
        ]);
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    public function actionHola()
    {
        return $this->render('hola');
    }
    public function actionMensaje()
    {
        return $this->render('mensaje', [
            'titulo' => 'ejemplo',
            'texto' => 'ejemplo de clase',
            'foto1' => '@web/imgs/foto1',
            'foto2' => '@web/imgs/foto2',
            'foto3' => '@web/imgs/foto3',
        ]);
    }
    public function actionDias()
    {
        return $this->render('dias',);
    }
}

views/layouts/main.php
<?php

/** @var yii\web\View $this */
/** @var string $content */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap5\Breadcrumbs;
use yii\bootstrap5\Html;
use yii\bootstrap5\Nav;
use yii\bootstrap5\NavBar;

AppAsset::register($this);

$this->registerCsrfMetaTags();
$this->registerMetaTag(['charset' => Yii::$app->charset], 'charset');
$this->registerMetaTag(['name' => 'viewport', 'content' => 'width=device-width, initial-scale=1, shrink-to-fit=no']);
$this->registerMetaTag(['name' => 'description', 'content' => $this->params['meta_description'] ?? '']);
$this->registerMetaTag(['name' => 'keywords', 'content' => $this->params['meta_keywords'] ?? '']);
$this->registerLinkTag(['rel' => 'icon', 'type' => 'image/x-icon', 'href' => Yii::getAlias('@web/favicon.ico')]);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">

<head>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>

<body class="d-flex flex-column h-100">
    <?php $this->beginBody() ?>

    <header id="header">
        <?php
        NavBar::begin([
            'brandLabel' => Yii::$app->name,
            'brandUrl' => Yii::$app->homeUrl,
            'options' => ['class' => 'navbar-expand-md navbar-dark bg-dark fixed-top']
        ]);
        echo Nav::widget([
            'options' => ['class' => 'navbar-nav'],
            'items' => [
                ['label' => 'Inicio', 'url' => ['/site/index']],
                ['label' => 'Hola', 'url' => ['/site/hola']],
                ['label' => 'Mensaje', 'url' => ['/site/mensaje']],
                ['label' => 'Días de la semana', 'url' => ['/site/dias']],
                ['label' => 'Listado tabla de coches', 'url' => ['/coche/index']],
                ['label' => 'Nuevo coche', 'url' => ['/coche/create']],
                ['label' => 'Mostrar coches', 'url' => ['/coche/mostrar']],
            ]
        ]);
        NavBar::end();
        ?>
    </header>

    <main id="main" class="flex-shrink-0" role="main">
        <div class="container">
            <?php if (!empty($this->params['breadcrumbs'])) : ?>
                <?= Breadcrumbs::widget(['links' => $this->params['breadcrumbs']]) ?>
            <?php endif ?>
            <?= Alert::widget() ?>
            <?= $content ?>
        </div>
    </main>

    <footer id="footer" class="mt-auto py-3 bg-light">
        <div class="container">
            <div class="row text-muted">
                <div class="col-md-6 text-center text-md-start">Curso Desarrollo 2023 </div>
                <div class="col-md-6 text-center text-md-end">
                    <div class="socials">
                        <a href=""><span class="instragram"><i class="fab fa-instagram"></i></span></a>
                        <a href=""><span class="reddit"><i class="fab fa-reddit"></i></span></a>
                        <a href=""><span><i class="fab fa-twitter"></i></span> </a>
                        <ahref=""><span class="facebook"><i class="fab fa-facebook"></i></span> </a>

                    </div>
                </div>
    </footer>
    <?php $this->endBody() ?>
</body>

</html>
<?php $this->endPage() ?>